/*
This javascript will examine each item being submitted by the form.
 
For <INPUT> tags of TYPE TEXT or PASSWORD and for <TEXTAREA> tags, if the contents of the edit box is an empty string or a string consisting of a space, i.e. "" or " ", then an alert window will appear saying:
	You must type an answer in the edit box containing the cursor.
and the cursor will be placed in the unanswered edit box and the submit will be canceled. 
To have a default value already in the edit box, use the attribute
	 VALUE="your default value goes here"
or put the default value text between the <TEXTAREA> tags.

For <INPUT> tags of TYPE RADIO or CHECKBOX, it will look for any <INPUT> tag that assigns to the same
variable name (i.e. the attribute NAME="[same_variable_name]") that is checked by the user 
or still has a default value assign by using the attribute:
	CHECKED
If none is found, an alert window will appear saying:
	You must select an answer for: [your_variable_name]

For <SELECT MULTIPLE> tags,  it will determine if any OPTION has been selected by the user 
or still has was selected by using the attribute:
	SELECTED
If none was selected, an alert window will appear saying:
	You must select an answer for: [your_variable_name]

*/


function verifyFormFilled(button) {
	var form = button.form;
	//For each element (INPUT tag) in the FORM, report an error if it is TEXT and empty or radio/checkbox and none checkmarked.
	//for each element in the FORM
	for (i=0; i < form.elements.length; i++) {
		var elem = form.elements[i];
		var type = elem.type.toLowerCase();
		if ((type == "text" || type == "password" || type == "textarea") && (elem.value == "" || elem.value == " ")) {
			//set focus to (put the cursor in) the edit box
			elem.focus();
			//set background of edit box to yellow
			elem.style.backgroundColor = "#feff6f";
			//report the error
			alert("You must type an answer in the yellow edit box containing the cursor.");
			//abort the submit process
			return false;
		} else if ((type == "radio" || type == "checkbox" ) && elem.checked == false) {
			//search for any input with same name that is checked
			count = 0;
			for (j=0; j < form.elements.length; j++) {
				if (form.elements[j].name == elem.name && form.elements[j].checked)
					count++;
			}
			if (count == 0) {
				alert("You must select an answer for " + elem.name);
				for (j=0; j < form.elements.length; j++) {
					if (form.elements[j].name == elem.name)
						form.elements[j].style.backgroundColor = "yellow";
				}
				//set focus to (put a dotted box around) the radio button
				elem.focus();
				return false;
			}
		} else if (type.indexOf("select") == 0) { //if starts with "select"
			var indx = elem.selectedIndex;
			if (indx < 0) { //if none selected
				elem.style.backgroundColor = "#feff6f";
				alert("You must select from the answers marked in yellow.");
				return false;
			}
			//if the option text of the selected option is empty or space, report error.
			var option_text = elem.options[indx].text; //the text between the <option> tags
			if (option_text == "" || option_text == " ") {
				elem.style.backgroundColor = "#feff6f";
				alert("You must select from the answers marked in yellow.");
				return false;
			}
		}
	}
	//If got here, then form data is ok so submit the data by returning TRUE.
	return true;
}
